Bug 494520 - Review Request: cdf - The NASA Common Data Format implementation
Review Request: cdf - The NASA Common Data Format implementation
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2009-04-07 05:59 EDT by Susi Lehtola
Modified: 2015-11-26 08:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 16:45:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-04-07 05:59:43 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/cdf.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/cdf-3.2.4-1.fc10.src.rpm

Description:
The Common Data Format (CDF) is a self-describing data format for the storage
and manipulation of scalar and multidimensional data in a platform- and
discipline-independent fashion. When one first hears the term "Common Data
Format" one intuitively thinks of data formats in the traditional (i.e.
messy/convoluted storage of data on disk or tape) sense of the word. Although
CDF has its own internal self describing format, it consists of more than just
a data format. CDF is a scientific data management package (known as the "CDF
Library") which allows programmers and application developers to manage and
manipulate scalar, vector, and multi-dimensional data arrays. The irony of the
term "FORMAT" is that the actual data format which CDF utilizes is completely
transparent to the user and accessible through a consistent set of interface
(known as the "CDF Interface") routines. Therefore, programmers are not 
burdened with performing low level I/O's to physically format and unformat the
data file. This is all done for them automatically. 


rpmlint output:
cdf.src: W: invalid-license CDF
cdf.x86_64: W: invalid-license CDF
cdf.x86_64: W: no-soname /usr/lib64/libcdf.so
cdf-debuginfo.x86_64: W: invalid-license CDF
cdf-devel.x86_64: W: no-documentation
cdf-devel.x86_64: W: invalid-license CDF
4 packages and 0 specfiles checked; 0 errors, 6 warnings.
Comment 1 Susi Lehtola 2009-04-07 06:01:17 EDT
Blocking FE-LEGAL due to Copyright:


Copyright 2008
Space Physics Data Facility
NASA/Goddard Space Flight Center

This software may be copied or redistributed as long as it is not sold
for profit, but it can be incorporated into any other substantive
product with or without modifications for profit or non-profit.  If the 
software is modified, it must include the following notices:

  - The software is not the original (for protectiion of the original
    author's reputations from any problems introduced by others)

  - Change history (e.g. date, functionality, etc.)

This copyright notice must be reproduced on each copy made. This software is 
provided as is without any express or implied warranties whatsoever.
Comment 2 Tom "spot" Callaway 2009-04-07 11:40:33 EDT
Sorry Jussi, this license is poorly worded and non-free. NASA can put a man in space, but they can't seem to write a good FOSS license (they have a history of writing bad ones).
Comment 3 Lubomir Rintel 2009-04-07 13:37:43 EDT
So, at this point review may seem pointless. Jussi, are you going to talk to them about the license? To me it seems that they didn't willingly make the software non-free and that they may agree to relicensing under the terms of 3-clause BSD or MIT license.
Comment 4 Susi Lehtola 2009-04-07 14:01:30 EDT
(In reply to comment #3)
> So, at this point review may seem pointless. Jussi, are you going to talk to
> them about the license? To me it seems that they didn't willingly make the
> software non-free and that they may agree to relicensing under the terms of
> 3-clause BSD or MIT license.  

Yeah, there's no point in doing the review if the license is not compatible.

I contacted upstream about the license issue.
Comment 5 Susi Lehtola 2009-05-27 16:45:34 EDT
Ugh, no reply. Closing as deferred. If the license changes this can be picked up.
Comment 6 Alexis Jeandet 2015-11-26 08:03:43 EST
Hi,

I contacted the cdf developers, they told me that they are really in favor of an open source license but they have to deal with lawyer stuff... So we can expect to get the lib cdf with a compatible license soon.

Best regards,
Alexis.

Note You need to log in before you can comment on or make changes to this bug.